Search Results for

Show / Hide Table of Contents

# Class OptionalBoolExtensions

Extensions for OptionalBool.

##### Inheritance

object
OptionalBoolExtensions

##### Inherited Members

object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: AppstockSDK.Api

###### Assembly: Appstock.Core.dll

##### Syntax

    public static class OptionalBoolExtensions

### Methods

#### IsTrue(OptionalBool)

Checks if OptionalBool is True.

##### Declaration

    public static bool IsTrue(this OptionalBool value)

##### Parameters

Type | Name | Description
--- | --- | ---
OptionalBool | value | OptionalBool to check.

##### Returns

Type | Description
--- | ---
bool | `true` if `value` is True, `false` otherwise.

#### ToNullableBool(OptionalBool)

Converts OptionalBool to a Nullable<T> of bool.

##### Declaration

    public static bool? ToNullableBool(this OptionalBool value)

##### Parameters

Type | Name | Description
--- | --- | ---
OptionalBool | value | The OptionalBool to convert.

##### Returns

Type | Description
--- | ---
bool? | The converted Nullable<T> of bool.

#### ToOptionalBool(bool?)

Converts Nullable<T> of bool to an OptionalBool.

##### Declaration

    public static OptionalBool ToOptionalBool(this bool? value)

##### Parameters

Type | Name | Description
--- | --- | ---
bool? | value | The Nullable<T> of bool to convert.

##### Returns

Type | Description
--- | ---
OptionalBool | The converted OptionalBool.